Medication read

get/Medication/{id}
Page View

This resource identifies and defines a medication being referenced for a patient. This resource type can include the drug type and potentially the packaging or quantity, which providers can use for prescribing, dispensing, or administering a medication.

You can only review medication details.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

read

Review a specific Medication resource with details about a patient's medication. This doesn't include details about a prescription order or medication administration.

FHIR read

To use a read interaction, you must know the related resource ID, which you may not have in your real workflows. A read is likely only a follow-up option after receiving the specific resource in a recent FHIR® passthrough or data on demand exchange.

Typically, you should use the more flexible _search with query parameters, unless you're guaranteed to request data directly from a FHIR® server using the resource ID. Learn more about using FHIR® identifiers.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Medication/{id}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN'

Request Parameters

  • id
    required, string

    Medication identifier

Response fields and example

Example payload generated from schema
1
{
2
"resourceType": "Medication",
3
"code": null
4
}
  • resourceType
    required, string

    Identifies the type of the resource

    Value: Medication
  • code
    required, object

    A code (or set of codes) that specify this medication, or a textual description if no code is available. Usage note: This could be a standard medication code such as a code from RxNorm, SNOMED CT, IDMP etc. It could also be a national or local formulary code, optionally with translations to other code systems.

    • id
      string

      A sequence of Unicode characters

    • extension
      Array of object

      May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

      • id
        string

        A sequence of Unicode characters

      • url
        string

        String of characters used to identify a name or a resource

      • valueBase64Binary
        string

        Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • id
        string

        A sequence of Unicode characters

      • extension
        Array of object

        May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

        • id
          string

          A sequence of Unicode characters

        • url
          string

          String of characters used to identify a name or a resource

        • valueBase64Binary
          string

          Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

      • system
        string

        String of characters used to identify a name or a resource

      • _system
        object

        Extensions for system

        • id
          string

          A sequence of Unicode characters

        • extension
          Array of object

          May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          • id
            string

            A sequence of Unicode characters

          • url
            string

            String of characters used to identify a name or a resource

          • valueBase64Binary
            string

            Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

      • version
        string

        A sequence of Unicode characters

      • _version
        object

        Extensions for version

        • id
          string

          A sequence of Unicode characters

        • extension
          Array of object

          May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          • id
            string

            A sequence of Unicode characters

          • url
            string

            String of characters used to identify a name or a resource

          • valueBase64Binary
            string

            Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

      • code
        string

        A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents

      • _code
        object

        Extensions for code

        • id
          string

          A sequence of Unicode characters

        • extension
          Array of object

          May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          • id
            string

            A sequence of Unicode characters

          • url
            string

            String of characters used to identify a name or a resource

          • valueBase64Binary
            string

            Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

      • display
        string

        A sequence of Unicode characters

      • _display
        object

        Extensions for display

        • id
          string

          A sequence of Unicode characters

        • extension
          Array of object

          May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          • id
            string

            A sequence of Unicode characters

          • url
            string

            String of characters used to identify a name or a resource

          • valueBase64Binary
            string

            Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

      • userSelected
        boolean

        Value of "true" or "false"

      • _userSelected
        object

        Extensions for userSelected

        • id
          string

          A sequence of Unicode characters

        • extension
          Array of object

          May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          • id
            string

            A sequence of Unicode characters

          • url
            string

            String of characters used to identify a name or a resource

          • valueBase64Binary
            string

            Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

    • text
      string

      A sequence of Unicode characters

    • _text
      object

      Extensions for text

      • id
        string

        A sequence of Unicode characters

      • extension
        Array of object

        May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

        • id
          string

          A sequence of Unicode characters

        • url
          string

          String of characters used to identify a name or a resource

        • valueBase64Binary
          string

          Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.